package taxman;

import java.awt.*;

/**
* This class is very simple.
* Its only job is to paint a border around another panel.
*
* @author Jacob Crossman
* @version 1.0
*/
public class BorderPanel extends Panel
{
   //This variable keeps track of the spacing which
   // is the border size
   private Insets spacing = null;

   /**
   * Constructor takes a component (to place the border around) and the size of the border
   *  on  each size and, finally, the color of the border.
   * @param c The component around which to lay the border
   * @param top  Size of border on the top
   * @param left Size of border on the left
   * @param bottom Size of border on the bottom
   * @param right Size of border on the right
   * @param color Color of border
   */
   public BorderPanel(Component c, int top, int left, int bottom, int right, Color color)
   {
      GridBagLayout      gbl = new GridBagLayout();
      GridBagConstraints gbc = new GridBagConstraints();
      setLayout(gbl);

      setBackground(color);
      spacing        = new Insets(top, left, bottom, right);

      gbc.insets     = spacing;
      gbc.gridx      = 1;
      gbc.gridy      = 1;
      gbc.weightx    = 1.0;
      gbc.weighty    = 1.0;
      gbc.anchor     = GridBagConstraints.CENTER;
      gbc.fill       = GridBagConstraints.BOTH;
      gbc.gridwidth  = GridBagConstraints.REMAINDER;
      gbc.gridheight = GridBagConstraints.REMAINDER;

      gbl.setConstraints(c, gbc);
      add(c);
   }

   /*
   public void paint(Graphics g)
   {
      Rectangle r = bounds();

      for(int i = 0; i < spacing.left; i++)
         g.drawLine(i,0,i,r.height);

      for(int i = 0; i < spacing.top; i++)
         g.drawLine(0,i,r.width,i);

      for(int i = 0; i < spacing.right; i++)
         g.drawLine(r.width - i, 0, r.width - i, r.height);

      for(int i = 0; i < spacing.bottom; i++)
         g.drawLine(0,r.height - i, r.width, r.height - i); 
   }
   */
}
