
package taxman;

/**	
* This is the loader thread for the Media Loader Design Set.
* This design set allows a program to download media
*  features as a separate thread while recieving updates
*  on the progress periodically.
*
* @Author:	Jacob Crossman
* @Version:	1
*/
public interface MediaObserver
{
   /**
   * This methhod is over-ridden to recieve updates when
   *  each item in a set is loaded.
   * @param mr The media record item that was loaded just
   *            before this method call.
   */
   public void itemLoaded(MediaRecord mr);

   /**
   * The method over-ridden to recieve updates when an
   *  entire set of media is loaded (i.e. the loading is done)
   * @param mr The array of media that was loaded
   */
   public void loadingFinished(MediaRecord[] mr);
}
