
package taxman;

/**	
* This is the record for the MediaLoader Design set.
* This design set allows a program to download media
*  features as a separate thread while recieving updates
*  on the progress periodically.
*
* @Author:	Jacob Crossman
* @Version:	1
*/
public class MediaRecord extends Object
{
   /** Graphic File type */
   public static final int GRAPHIC = 0;
   /** Audio File Type */
   public static final int AUDIO   = 1;
   
   /** The filename (including path) for the media file */
   public String fileName = null;
   /** The actual file, this is loaded by the MediaLoader */
   public Object file     = null;
   /** The type of media that is being loaded */
   public int    type     = GRAPHIC;
   
   /** Default constructor does nothing */
   public MediaRecord() {}                

   /**
   * Constructor initializes the values of the Media record
   * @param FileName The path and filename of the media file
   * @param Type The type of media represented in this record.  Valid
   *         values are: MediaRecord.GRAPHIC or MediaRecord.AUDIO
   */
   public MediaRecord(String FileName, int Type)
   {
      fileName = FileName;
      type     = Type;
   }
}
